tft: XTft Struct Reference

| tft Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTft Struct Reference
Tft_v6_1

This structure is the base for whole of the operations that are to be performed on the TFT screen. More...

## Data Fields
XTft_Config | TftConfig
| Instance of Config Structure. More...
u32 | IsReady
| Status of Instance. More...
u32 | ColVal
| Column position. More...
u32 | RowVal
| Row position. More...
u32 | FgColor
| Foreground Color. More...
u32 | BgColor
| Background Color. More...

## Detailed Description

This structure is the base for whole of the operations that are to be performed on the TFT screen.

With this we will get a handle to the driver through which we access different members like base address, deviceID and using them we navigate, fill colors etc.

## Field Documentation

u32 XTft::BgColor

Background Color.

Referenced by XTft_CfgInitialize(), XTft_ClearScreen(), XTft_Scroll(), XTft_SetColor(), and XTft_Write().

u32 XTft::ColVal

Column position.

Referenced by XTft_CfgInitialize(), XTft_ClearScreen(), XTft_SetPos(), XTft_SetPosChar(), and XTft_Write().

u32 XTft::FgColor

Foreground Color.

Referenced by XTft_CfgInitialize(), XTft_SetColor(), and XTft_Write().

u32 XTft::IsReady

Status of Instance.

Referenced by XTft_CfgInitialize(), XTft_ClearScreen(), XTft_DisableDisplay(), XTft_EnableDisplay(), XTft_FillScreen(), XTft_GetPixel(), XTft_GetVsyncStatus(), XTft_IntrDisable(), XTft_IntrEnable(), XTft_ReadReg(), XTft_ScanNormal(), XTft_ScanReverse(), XTft_Scroll(), XTft_SetColor(), XTft_SetFrameBaseAddr(), XTft_SetPixel(), XTft_SetPos(), XTft_SetPosChar(), XTft_Write(), and XTft_WriteReg().

u32 XTft::RowVal

Row position.

Referenced by XTft_CfgInitialize(), XTft_ClearScreen(), XTft_SetPos(), XTft_SetPosChar(), and XTft_Write().

XTft_Config XTft::TftConfig

Instance of Config Structure.

Referenced by XTft_CfgInitialize(), XTft_GetPixel(), XTft_ReadReg(), XTft_SetFrameBaseAddr(), XTft_SetPixel(), and XTft_WriteReg().